import '/backend/api_requests/api_calls.dart';
import '/components/checkbox_widget.dart';
import '/flutterlib/flutter_theme.dart';
import '/flutterlib/flutter_util.dart';
import 'permission_list_widget.dart' show PermissionListWidget;
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:provider/provider.dart';

class PermissionListModel extends FlutterModel<PermissionListWidget> {
  ///  Local state fields for this component.

  List<int> permissionsList = [];
  void addToPermissionsList(int item) => permissionsList.add(item);
  void removeFromPermissionsList(int item) => permissionsList.remove(item);
  void removeAtIndexFromPermissionsList(int index) =>
      permissionsList.removeAt(index);
  void insertAtIndexInPermissionsList(int index, int item) =>
      permissionsList.insert(index, item);
  void updatePermissionsListAtIndex(int index, Function(int) updateFn) =>
      permissionsList[index] = updateFn(permissionsList[index]);

  /// Initialization and disposal methods.

  void initState(BuildContext context) {}

  void dispose() {}

  /// Action blocks are added here.

  /// Additional helper methods are added here.
}
